<bugID>1102373<Summary>Add an event so extensions know that a browser has been re-created when moving from remote to non-remote or vice versa</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.62 Safari/537.36

Steps to reproduce:

I'm trying to migrate out add-on to e10s thing. To monitor page load we use gBrowser.selectedBrowser.addProgressListener where listener implements onStateChange() method.  After adding the listener the add-on navigates to some page using the browser's loadURI() method.


Actual results:

It works fine if a tab corresponding to selectedBrowser has already some web-page loaded but if it is a just created tab onStateChange() never called.


Expected results:

onStateChange() should be called with appropriate flags set.</Description></bugID>